//
//  main.m
//  SimpleTypes
//
//  Created by Holger Hinzberg on 27.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>

int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

    // Ein double-Typ wird zu einem Objekt mit NSNumber
    double d1 = 12.75;
    NSNumber *n1 = [[NSNumber alloc] initWithDouble:d1];
    NSNumber *n2 = [[NSNumber alloc] initWithDouble:5.55];
    NSNumber *n3 = [[NSNumber alloc] initWithInt:10];
    
    NSArray *numberArray 
    = [[NSArray alloc] initWithObjects:n1,n2,n3,nil];
    
    [n1 release];
    [n2 release];
    [n3 release];
    
    for(NSNumber *aNumber in numberArray)
    {
        // Die Ausgabe mit dem passenden
        // Format Specifier
        NSLog(@"Wert :%@",aNumber);
    }
        
    // NSNumber wird zu einfachem Datentyp
    double doubleN1 = [n1 doubleValue];
    double doubleN2 = [n2 doubleValue];
    int intN3 = [n3 intValue]; 
    
    NSLog(@"Werte :%f, %f, %i",doubleN1,doubleN2,intN3);
    
    [pool drain];
    return 0;
}

